API ReferenceProducts
Products Create
Create a new product.
Authorization
oauth2 catalogue:writeAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: catalogue:write
Header Parameters
X-29next-API-Version*"2024-04-01"
Default
"2024-04-01"Value in
- "2024-04-01"
Response Body
application/json
curl -X POST "https://example.com/products/" \ -H "X-29next-API-Version: 2024-04-01" \ -H "Content-Type: application/json" \ -d '{ "title": "string" }'{ "categories": [ { "id": 0, "name": "string", "slug": "string" } ], "date_created": "2019-08-24T14:15:22Z", "date_updated": "2019-08-24T14:15:22Z", "description": "string", "enable_subscription": true, "external_tax_code": "string", "id": 0, "images": [ { "attachment": "string", "caption": "string", "display_order": 0, "file_name": "string", "id": 0, "src": "http://example.com" } ], "interval": "day", "interval_counts": [ -2147483648 ], "is_discountable": true, "is_public": true, "meta_description": "string", "meta_title": "string", "metadata": null, "ranking": -2147483648, "rating": 0, "recommended_products": [ 0 ], "slug": "string", "structure": "standalone", "template": "string", "title": "string", "url": "http://example.com", "variant_attributes": [ { "code": "string", "name": "string", "values": [ "string" ] } ], "variants": [ { "allow_backorders": true, "date_created": "2019-08-24T14:15:22Z", "date_updated": "2019-08-24T14:15:22Z", "id": 0, "images": "string", "inventory_availability": "in_stock", "metadata": null, "prices": [ { "currency": "string", "price": "string", "retail": "string", "subscription": "string", "subscription_suggested_downsell": "string" } ], "product_id": 0, "purchase_availability": "available", "requires_shipping": true, "sku": "string", "stockrecords": [ { "id": 0, "location_id": 0, "low_stock_threshold": 0, "num_allocated": 0, "num_in_stock": -2147483648 } ], "title": "string", "track_stock": true, "unit_cost": "string", "upc": "string", "variant_attribute_values": [ { "code": "string", "name": "string", "value": "string" } ] } ]}